<script type="text/javascript"> 
    function submitForm() {
        document.getElementById("updateForm").submit();
    } 
</script>
<?php 
$showfloat = false;

if ($this->noimage) {
    $display_image = false;
} else {
    $display_image = true;
}
if ($this->noedit) {
    $display_edit = false;
} else {
    $display_edit = true;
}

if (!empty($this->formParameters['delivery_price'])) {
    $delivery_price = $this->formParameters['delivery_price'];
} else if (!empty($this->cartProducts[0]['delivery_price'])) {
    $delivery_price = $this->cartProducts[0]['delivery_price'];
} else {
    $delivery_price = 0;
}
if (!empty($this->formParameters['payment_price'])) {
    $payment_price = $this->formParameters['payment_price'];
} else if (!empty($this->cartProducts[0]['payment_price'])) {
    $payment_price = $this->cartProducts[0]['payment_price'];
} else {
    $payment_price = 0;
}
if (isset($this->step)) {
    $post = 'order/?step=1';
} else {
    $post = '';
}
if ($display_edit) {?>
<form method='post' id='updateForm' action='/eshop/cart/<?= $post ?>'>    
<?php } ?>
<table class="cart-table">
    <thead>
        <tr>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            <td>
                ID
            </td>
            <td>
                Název produktu
            </td>
            <td>
                Výrobce
            </td>
            <td colspan="2">
                Množství
            </td>
            <td>
                Cena (ks)
            </td>
            <td>
                Cena celkem
            </td>
            <td>
                &nbsp;
            </td>
    </tr>
    </thead>
    <tbody>
    <?php
    $count = 0;
    $totalprice = 0;
    foreach ($this->cartProducts as $value) {
        $count++;
        $subcatidarray = explode(";", $value['subcategory_id']);
        ?>
        <tr>
            <?php if ($display_image) {?>
            <td>
                <div class="imageholder-small bg-green border-style">
                    <img src="/images/eshop_subcategories/<?= array_shift($subcatidarray) ?>-s.jpg">
                </div>
            </td>
            <?php } ?>
            <td>
                <?= $value['product_id'] ?>
            </td>
            <td>
                <?= $value['title'] ?>
            </td>
            <td>
                <?= $value['producer'] ?>
            </td>
            <?php if ($value['float']) { 
                $showfloat = true;
                ?>
            <td class='left' colspan="2">
                <?php if ($display_edit) { ?>
                <span style="position: absolute; left: -8px">*</span>
                <input type='text'   name='quantity-<?= $count ?>' value='<?= str_replace('.',',',$value['quantity']); ?>' onchange='submitForm();' style='width: 50px; text-align: right'/>
                <input type='hidden' name='product_id-<?= $count ?>' value='<?= $value['product_id'] ?>' />
                <input type='hidden' name='float-<?= $count ?>' value='<?= $value['float'] ?>' />
                <?php } else { ?>
                <?= $value['quantity'] ?>
                <?php } ?> kg
            </td>
            <?php } else { ?>
            <td class='left' style='width: 40px'>
                <?php if ($display_edit) { ?>
                <input type='text'   name='quantity-<?= $count ?>' value='<?= $value['quantity'] ?>' onchange='submitForm();' style='width: 92%; text-align: right'/>
                <input type='hidden' name='product_id-<?= $count ?>' value='<?= $value['product_id'] ?>' />
                <input type='hidden' name='float-<?= $count ?>' value='<?= $value['float'] ?>' />
                <?php } else { ?>
                <?= $value['quantity'] ?>
                <?php } ?>
            </td>
            <td>
                &nbsp;x&nbsp;<?= $value['size'] ?>
            </td>
            <?php } ?>
            <td class="r-align">
                <?= $value['price'] ?>,- kč
            </td>
            <td class="r-align">
                <?= ceil($value['price'] * $value['quantity']) ?>,- kč
            </td>        
            <td style="width: 25px; text-align: right;">
                <?php if ($display_edit) {?>
                    <a href='/eshop/cart/empty/?product_id=<?= $value['product_id'] ?>'>
                        <img src="/graphics/delete.png" alt="odstranit"/>
                    </a>
                <?php
                } else {
                    echo "&nbsp;";
                }
                ?>
            </td>            
        </tr>
        <?php 
        $totalprice += ceil($value['quantity'] * $value['price']);
        } 
        if ($delivery_price > 0) {
            $totalprice += $delivery_price; ?>
        <tr>
            <?php if ($display_image) {?>
            <td>
                <div class="imageholder-small bg-green border-style">
                    <img src="/graphics/shipping.jpg">
                </div>
            </td>
            <?php } ?>
            <td>
                &nbsp;
            </td>
            <td>
                Doručení
            </td>
            <td>
                DHL / PPL
            </td>
            <td class="r-align">
                -
            </td>
            <td class="r-align">
                &nbsp;
            </td>
            <td class="r-align">
                <?= $delivery_price ?>,- kč
            </td>
            <td class="r-align">
                <?= $delivery_price ?>,- kč
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
        <?php 
        } 
        if ($payment_price > 0) { 
            $totalprice += $payment_price;?>
        <tr>
            <?php if ($display_image) {?>
            <td>
                <div class="imageholder-small bg-green border-style">
                    <img src="/graphics/payment.jpg">
                </div>
            </td>
            <?php } ?>
            <td>
                &nbsp;
            </td>
            <td>
                Dobírka
            </td>
            <td>
                DHL / PPL
            </td>
            <td class="r-align">
                -
            </td>
            <td class="r-align">
                &nbsp;
            </td>
            <td class="r-align">
                <?= $payment_price ?>,- kč
            </td>
            <td class="r-align">
                <?= $payment_price ?>,- kč
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
        <?php        
        }         
        ?>
        <tr style='border-top: 3px solid black; height: 40px;'>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            <td>
                &nbsp;
            </td>
            <td>
                Celkem
            </td>
            <td>
                &nbsp;
            </td>
            <td class="r-align">
                &nbsp;
            </td>
            <td class="r-align">
                &nbsp;
            </td>
            <td class="r-align">
                &nbsp;
            </td>
            <td class="r-align">
                <?= $totalprice ?>,- kč
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
    </tbody>
</table>
<?php if ($showfloat) { ?>
    <p>* Takto označené zboží lze dávkovat na dvě desetinná čísla (např. 0,25 kg). Cena bude zaokrouhlena na celé koruny.</p>
<?php } ?>    
<?php if ($display_edit) { ?>
    <input type='hidden' name='update' value='<?= $count ?>' />
    <input type='submit' value='Přepočítat' class='nodisplay'/>
</form>
<?php } ?>

